%define api     1.0
%define major   0
%define libname %mklibname workrave-private %api %major
%define girname %mklibname %name-gir %api

%define api_gtk4     2.0
%define libname_gtk4 %mklibname workrave-gtk4-private %api %major
%define girname_gtk4 %mklibname %name-gir %api_gtk4

%define tag %(echo %{version}|tr . _)

%bcond_without gtk4
%bcond_without gnome_flashback
%bcond_without mate
%bcond_without xfce

Summary:	Assists in recovery and prevention of Repetitive Strain Injury (RSI)
Name:		workrave
Version:	1.10.53
Release:	%mkrel 1
License:	GPLv2
Group:		Accessibility
URL:		https://www.workrave.org/
Source0:	https://github.com/rcaelers/workrave/releases/download/v%{tag}/%{name}-v%{version}.tar.gz
BuildRequires:	autoconf-archive
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(dbus-1) >= 1.2
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dbusmenu-glib-0.4) >= 0.1.1
BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4) >= 0.3.95
BuildRequires:	pkgconfig(gdk-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0.0
%if %{with gtk4}
BuildRequires:	pkgconfig(gtk4)
%endif
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(ayatana-indicator3-0.4) >= 0.7.1-3
BuildRequires:	pkgconfig(libpulse) >= 0.9.15
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.15
BuildRequires:	pkgconfig(sigc++-2.0) >= 2.2.4.2
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.40.0
BuildRequires:	python3dist(jinja2)
%if %{with gnome_flashback}
BuildRequires:	pkgconfig(libgnome-panel)
%endif
%if %{with mate}
BuildRequires:	pkgconfig(libmatepanelapplet-4.0)
%endif
%if %{with xfce}
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.12
%endif

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

%package	gnome-applet
Summary:	Workrave GNOME Desktop applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

Conflicts:	%{name} < 1.10.51.1-3

%description	gnome-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for GNOME desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with GNOME environment, such as embedding in GNOME panel.

%package	gnome-flashback-applet
Summary:	Workrave GNOME Flashback applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	gnome-flashback-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for GNOME Flashback panel.

%package	cinnamon-applet
Summary:	Workrave Cinnamon Desktop applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

Conflicts:	%{name} < 1.10.51.1-3

%description	cinnamon-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for Cinnamon desktop environment.

%if %{with mate}
%package	mate-applet
Summary:	Workrave MATE Panel applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	mate-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for MATE desktop environment panel.
%endif

%if %{with xfce}
%package	xfce4-applet
Summary:	Workrave Xfce4 Panel plugin applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	xfce4-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for Xfce desktop environment panel plugin.
%endif

%package -n %{libname}
Group:		System/Libraries
Summary:	Private library for %{name}

%description -n %{libname}
Private library for %{name}

%package -n %{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%if %{with gtk4}
%package -n %{libname_gtk4}
Group:		System/Libraries
Summary:	Private library for %{name} (Gtk4)

%description -n %{libname_gtk4}
Private library for %{name} (Gtk4).

%package -n %{girname_gtk4}
Summary:	GObject Introspection interface library for %{name} (Gtk4)
Group:		System/Libraries
Requires:	%{libname_gtk4} = %{version}-%{release}

%description -n %{girname_gtk4}
GObject Introspection interface library for %{name} (Gtk4).
%endif

%package devel
Summary:	Development libraries, header files and utilities for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
%if %{with gtk4}
Requires:	%{girname_gtk4} = %{version}
%endif

%description devel
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains the files necessary to develop applications with
%{name}.

%prep
%autosetup -p1

%build
%configure \
	%{?with_gnome_flashback:--enable-gnome3} \
	%{?with_mate:--enable-mate} \
	%{?with_xfce:--enable-xfce} \
	--enable-gnome45 \
	--disable-rpath \
	--disable-static \
	--disable-schemas-compile
%make_build

%install
%make_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/*
%{_libdir}/ayatana-indicators3/7/libworkrave.so
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.workrave.Workrave.service
%{_iconsdir}/hicolor/*/apps/workrave.png
%{_iconsdir}/hicolor/scalable/apps/workrave.svg
%{_iconsdir}/hicolor/scalable/workrave-sheep.svg
%{_datadir}/sounds/workrave/
%{_metainfodir}/workrave.appdata.xml
%{_datadir}/glib-2.0/schemas/org.workrave.enums.xml
%{_datadir}/glib-2.0/schemas/org.workrave.gschema.xml
%{_datadir}/glib-2.0/schemas/org.workrave.gui.gschema.xml

%files gnome-applet
%{_datadir}/gnome-shell/extensions/workrave@workrave.org/

%if %{with gnome_flashback}
%files gnome-flashback-applet
%{_libdir}/gnome-panel/modules/libworkrave-applet.so
%endif

%files cinnamon-applet
%{_datadir}/cinnamon/applets/workrave@workrave.org/

%if %{with mate}
%files mate-applet
%{_libdir}/mate-applets/workrave-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.WorkraveAppletFactory.service
%{_datadir}/mate-panel/applets/org.workrave.WorkraveApplet.mate-panel-applet
%{_datadir}/mate-panel/ui/workrave-menu.xml
%endif

%if %{with xfce}
%files xfce4-applet
%{_libdir}/xfce4/panel/plugins/libworkrave-plugin.so
%{_datadir}/xfce4/panel/plugins/workrave-xfce-applet.desktop
%endif

%files -n %{libname}
%{_libdir}/libworkrave-private-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Workrave-%{api}.typelib

%if %{with gtk4}
%files -n %{libname_gtk4}
%{_libdir}/libworkrave-gtk4-private-%{api}.so.%{major}{,.*}

%files -n %{girname_gtk4}
%{_libdir}/girepository-1.0/Workrave-%{api_gtk4}.typelib
%endif

%files devel
%{_libdir}/libworkrave-private-%{api}.so
%{_datadir}/gir-1.0/Workrave-%{api}.gir
%if %{with gtk4}
%{_libdir}/libworkrave-gtk4-private-%{api}.so
%{_datadir}/gir-1.0/Workrave-%{api_gtk4}.gir
%endif


%changelog
* Thu Mar 27 2025 daviddavid <daviddavid> 1.10.53-1.mga10
+ Revision: 2170395
- new version: 1.10.53

* Thu Mar 28 2024 daviddavid <daviddavid> 1.10.52-1.mga10
+ Revision: 2052858
- new version: 1.10.52
- enable gnome-flashback, mate and xfce4 applet
- split out in their own sub-pkg gnome and cinnamon applet

* Fri Sep 22 2023 daviddavid <daviddavid> 1.10.51.1-2.mga10
+ Revision: 1989401
- enable Gtk4 support

* Wed Sep 20 2023 daviddavid <daviddavid> 1.10.51.1-1.mga10
+ Revision: 1988491
- new version: 1.10.51.1

* Tue Nov 22 2022 daviddavid <daviddavid> 1.10.50-1.mga9
+ Revision: 1909971
- new version: 1.10.50

* Sat Apr 02 2022 umeabot <umeabot> 1.10.45-2.mga9
+ Revision: 1840738
- Mageia 9 Mass Rebuild

* Sun Apr 18 2021 daviddavid <daviddavid> 1.10.45-1.mga9
+ Revision: 1716459
- new version: 1.10.45

* Sun Aug 09 2020 wally <wally> 1.10.44-2.mga8
+ Revision: 1612214
- switch to Ayatana Indicator

* Fri May 29 2020 daviddavid <daviddavid> 1.10.44-1.mga8
+ Revision: 1588800
- new version: 1.10.44

* Thu Apr 23 2020 daviddavid <daviddavid> 1.10.43-1.mga8
+ Revision: 1571176
- new version: 1.10.43

* Tue Mar 31 2020 daviddavid <daviddavid> 1.10.37-1.mga8
+ Revision: 1562678
- new version: 1.10.37

* Sat Feb 15 2020 umeabot <umeabot> 1.10.34-2.mga8
+ Revision: 1526884
- Mageia 8 Mass Rebuild

* Fri Jul 05 2019 daviddavid <daviddavid> 1.10.34-1.mga8
+ Revision: 1418667
- new version: 1.10.34

* Sat Apr 13 2019 daviddavid <daviddavid> 1.10.31-1.mga7
+ Revision: 1389851
- new version: 1.10.31

* Sun Oct 21 2018 daviddavid <daviddavid> 1.10.23-1.mga7
+ Revision: 1323260
- new version: 1.10.23

* Sun Sep 23 2018 umeabot <umeabot> 1.10.20-2.mga7
+ Revision: 1301716
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 1.10.20-1.mga7
+ Revision: 1190699
- new version: 1.10.20

* Thu Feb 16 2017 cjw <cjw> 1.10.16-1.mga6
+ Revision: 1086376
- add build dependency on autoconf-archive
- 1.10.16
- use gstreamer1.0 instead of gstreamer0.10

* Thu Feb 18 2016 daviddavid <daviddavid> 1.10.1-8.mga6
+ Revision: 967373
- compile C++ code with -std=gnu++11
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 wally <wally> 1.10.1-7.mga6
+ Revision: 848449
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.10.1-6.mga5
+ Revision: 748424
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.10.1-5.mga5
+ Revision: 724976
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.10.1-4.mga5
+ Revision: 690367
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.1-3.mga4
+ Revision: 532281
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 fwang <fwang> 1.10.1-2.mga4
+ Revision: 467668
- update file list
- try building with panel applet

* Thu Jun 13 2013 fwang <fwang> 1.10.1-1.mga4
+ Revision: 442529
- fix ru translation
- fix pl translation of desktop file
- fix category
- update devel package name
- drop all la files
- fix typo
- update file list
- fix typo
- disable icon installation
- br intltool
- br python-cheetah
- add more switch
- br correct lib
- new version 1.10.1

* Mon Jan 14 2013 umeabot <umeabot> 1.9.4-3.mga3
+ Revision: 385847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.9.4-2.mga3
+ Revision: 337970
- patch2: fix bundled desktop file categories syntax
- drop mga specific desktop file
- patch1: fix build with automake 1.13

* Fri Jul 08 2011 fwang <fwang> 1.9.4-1.mga2
+ Revision: 120336
- br xtst
+ dmorgan <dmorgan>
- New version 1.9.4
- disable gnome ( does not compile with gnome 3)
- Rebuild against new libpanel-applet

* Sun Apr 10 2011 dmorgan <dmorgan> 1.9.0-3.mga1
+ Revision: 82982
- Remove mdv macros
- imported package workrave


* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 1.9.0-3mdv2010.1
+ Revision: 541462
- fix desktop file

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 1.9.0-2mdv2010.1
+ Revision: 541318
- build with gcc4.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Apr 17 2009 Funda Wang <fwang@mandriva.org> 1.9.0-1mdv2009.1
+ Revision: 367825
- fix  BR

  + Emmanuel Andry <eandry@mandriva.org>
    - disable kde for now

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use kde macros for configure
      Add patch to fix kde build

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 1.9.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 28 2007 Jérôme Soyer <saispo@mandriva.org> 1.8.5-1mdv2008.1
+ Revision: 102786
- New release 1.8.5

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-2mdv2007.0
- Rebuild with latest dbus
- migrate menu

* Mon May 15 2006 Jerome Soyer <saispo@mandriva.org> 1.8.3-1mdk
- New release 1.8.3

* Mon Feb 13 2006 Jerome Soyer <saispo@mandriva.org> 1.8.2-1mdk
- New release 1.8.2

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.0-3
- Fix compile under x86_64

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.0-2
- Don't remove file when we don't like them... Fix bug #19503
- Fix configure test, I don't know how it could work.

* Fri Jul 22 2005 Abel Cheung <deaddog@mandriva.org> 1.8.0-1mdk
- New version
- Rename "applet" subpackage to "gnome-applet" since KDE support
  is also available now
- Remove distributed info (gnet2) build option, always turn it on
- Enable GNOME/KDE applet by default
- Use bundled icon

* Sat Feb 12 2005 Abel Cheung <deaddog@mandrake.org> 1.6.2-1mdk
- New version

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- drop P0

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-2mdk
- Rebuild

* Fri Nov 07 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-1mdk
- 1.4.1
- Patch0: Add missing include, to fix compilation against newest gtkmm

